模块化测试项目

##模块说明
1、sobot_gson json数据模块，目前工单SDK使用，主要用于json数据处理。
 
2、sobot_pictureframe 图片框架模块，目前工单SDK使用，主要用于图片加载显示。

3、sobot_network 网络请求模块，目前客户SDK，工单SDK，客服APP使用；基础网络请求。

4、sobot_utils 工具模块，目前客户SDK，工单SDK使用；包含时间日期、常用工具方法。

5、sobot_common：基础模块，把1-4的模块整合为一个统一的，并且包含基础的baseactivity和头部界面。

6、sobot_widget 自定义控件模块，目前工单SDK使用；包含下拉控件、加载过程变化控件、图片放大展示控件。


## 模块使用方法
 
```  

引用方式 依赖方式
api 'com.sobot.library:模块名字:版本号'

例如
api 'com.sobot.library:sobotcommon:1.1.8'
api 'com.sobot.library:utils:1.1.1'
api 'com.sobot.library:picture:1.1'
api 'com.sobot.library:net:1.1.1'
api 'com.sobot.library:gson:1.1.1'
api 'com.sobot.library:widget:0.6'
 
```  

## 模块发布方法 

* 提交代码  
* 打包aar 
* 推送到maven  
* 发布  

```
//修改版本号
子module --> sobot-xx-publish-mavencentral.gradle --> 修改PUBLISH_VERSION对应的值

//打包生成aar
Gradle窗口 --> 选择模块 --> Tasks --> build --> assemble

//发布
Gradle窗口 --> 模块 --> Tasks --> build --> publishing --> 点击publishReleasePublicationToXXXXXRepository 推送
推送成功后登录https://s01.oss.sonatype.org 发布

```

