package com.sobot.common.login.permission;

import android.util.SparseBooleanArray;

/**
 * 呼叫客服
 */

public class PermissionCallCustomerService implements SobotPermissionApi {

    private SparseBooleanArray sparseArray;

    public PermissionCallCustomerService(){
        sparseArray = new SparseBooleanArray();
        sparseArray.put(SobotPermissionApi.USER_PERMISSION_TYPE_WORKORDER, true);
        sparseArray.put(SobotPermissionApi.USER_PERMISSION_TYPE_OTHER, true);
        sparseArray.put(SobotPermissionApi.USER_PERMISSION_TYPE_CALL, true);
    }

    @Override
    public boolean checkPermission(int type) {
        return sparseArray.get(type);
    }
}
