package com.sobot.common.login.permission;

import android.util.SparseBooleanArray;

/**
 * 工单客服
 */

public class PermissionWorkOrderCustomerService implements SobotPermissionApi {

    private SparseBooleanArray sparseArray;

    public PermissionWorkOrderCustomerService(){
        sparseArray = new SparseBooleanArray();
        sparseArray.put(SobotPermissionApi.USER_PERMISSION_TYPE_WORKORDER, true);
        sparseArray.put(SobotPermissionApi.USER_PERMISSION_TYPE_OTHER, true);
       }

    @Override
    public boolean checkPermission(int type) {
        return sparseArray.get(type);
    }
}
