智齿json数据解析模块

主要用于数据处理：json格式的数据的解析转换


##集成方法
 
```  

 依赖方式
api 'com.sobot.library:gson:xxx'

例如
api 'com.sobot.library:gson:1.1.1'

 
```  


##版本说明
###1.1.1
1、正式使用版本  

###1.0
首次发布


##使用方法 
 
```  

// 将对象转成json格式
SobotGsonUtil.beanToJson();
// 将 json 转成特定的 cls 的对象
SobotGsonUtil.jsonToBean();
// 将 json 转成特定的 cls 的对象，解决对象使用泛型的问题
SobotGsonUtil.jsonToBeans();
// json字符串转成list
SobotGsonUtil.jsonToList();
// json 字符串转成 list map
SobotGsonUtil.jsonToListMaps();
// json 字符串转成 map 
SobotGsonUtil.jsonToMaps();

```


## 模块发布方法 

* 提交代码  
* 打包aar 
* 推送到maven  
* 发布  

```
//修改版本号
sobot_gson --> sobot-gson-publish-mavencentral.gradle --> 修改PUBLISH_VERSION对应的值

//打包生成aar
Gradle窗口 --> sobot_gson --> Tasks --> build --> assemble

//发布
Gradle窗口 --> sobot_gson --> Tasks --> build --> publishing --> 点击publishReleasePublicationToMavenLocal 推送
推送成功后登录https://s01.oss.sonatype.org 发布

```
