package com.sobot.network.customhttp.bean;

/**
 * 回调的抽象类
 */

public abstract class ICommCallback<T> {
    public abstract void onSucceed(T t);

    public abstract void onFailed(Exception e);

    public void onUploadFinished(String result) {
    }

    public void onDownLoadFinished() {
    }

    public void onDownloading(long total, long current) {
    }
}
