package com.sobot.network.http.exception;

/**
 * 异常封装
 */
public class StException extends Exception {
    private static final long serialVersionUID = -8641198158155821498L;

    public StException(String detailMessage) {
        super(detailMessage);
    }

    public static StException UNKNOWN() {
        return new StException("unknown exception!");
    }

    public static StException BREAKPOINT_NOT_EXIST() {
        return new StException("breakpoint file does not exist!");
    }

    public static StException BREAKPOINT_EXPIRED() {
        return new StException("breakpoint file has expired!");
    }
}
