package com.sobot.network.http.exception;

/**
 * 存储异常
 */
public class StStorageException extends Exception {

    private static final long serialVersionUID = 178946465L;

    public StStorageException() {
    }

    public StStorageException(String detailMessage) {
        super(detailMessage);
    }

    public StStorageException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public StStorageException(Throwable throwable) {
        super(throwable);
    }

    public static StStorageException NOT_AVAILABLE() {
        return new StStorageException("SDCard isn't available, please check SD card and permission: WRITE_EXTERNAL_STORAGE, and you must pay attention to Android6.0 RunTime Permissions!");
    }
}
