package com.sobot.widget.ui.webview;

import android.content.Context;
import android.util.AttributeSet;
import android.webkit.WebView;

/**
 * 自定义webivew使用改成super(context.getApplicationContext(),避免(vivo（Android5.1），使用原生WebView空白)
 */
public class CustomWebview extends WebView {
    public CustomWebview(Context context) {
        super(context.getApplicationContext());
    }

    public CustomWebview(Context context, AttributeSet attrs) {
        super(context.getApplicationContext(), attrs);
    }

    public CustomWebview(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context.getApplicationContext(), attrs, defStyleAttr);
    }

}
