智齿基础模块

图片库、网络库、工具库、Gson库的整合，并且包含基础的baseactivity和头部界面


##集成方法
 
```  

 依赖方式
api 'com.sobot.library:sobotcommon:xxx'

例如
api 'com.sobot.library:sobotcommon:1.1.8'

 
```  


##版本说明
###1.1.8
1、正式使用版本  

###1.0
首次发布


##使用方法 
 
```  

// 初始化
SobotCommonApi.init(application);
// 日志显示开关
SobotCommonApi.setShowLogDebug(true);
// 设置开关状态 横竖屏，刘海屏
SobotCommonApi.setSwitchMarkStatus(SobotMarkConfig.LANDSCAPE_SCREEN,true);

```


## 模块发布方法 

* 提交代码  
* 打包aar 
* 推送到maven  
* 发布  

```
//修改版本号
子module --> sobot-xx-publish-mavencentral.gradle --> 修改PUBLISH_VERSION对应的值

//打包生成aar
Gradle窗口 --> 选择模块 --> Tasks --> build --> assemble

//发布
Gradle窗口 --> 模块 --> Tasks --> build --> publishing --> 点击publishReleasePublicationToXXXXXRepository 推送
推送成功后登录https://s01.oss.sonatype.org 发布

```



##发布注意事项  
基础模块有两个版本需要发布，support和androidX ,发布时注释不需要，然后推送 

```
     //support
     api 'com.sobot.library:utils:1.1.1'
     api 'com.sobot.library:picture:1.1'
     api 'com.sobot.library:net:1.1.1'
     api 'com.sobot.library:gson:1.1.1'

     //androidX
 //    api 'com.sobot.library:utils:1.1.1'
 //    api 'com.sobot.library:picture_x:1.1'
 //    api 'com.sobot.library:net:1.1.1'
 //    api 'com.sobot.library:gson:1.1.1'

 
```
