package com.sobot.network.http.upload;


import com.sobot.network.http.model.SobotProgress;

public interface ProgressListener<T> {
    /** 成功添加任务的回调 */
    void onStart(SobotProgress progress);

    /** 下载进行时回调 */
    void onProgress(SobotProgress progress);

    /** 下载出错时回调 */
    void onError(SobotProgress progress);

    /** 下载完成时回调 */
    void onFinish(T result, SobotProgress progress);

    /** 被移除时回调 */
    void onRemove(SobotProgress progress);
}
